Change a connection's configuration or active flag (staff)
PATCH /api/integrations/{id}. Change a connection's configuration or active flag (staff). Headless LMS Integrations API reference.
Staff only (owner, admin, instructor). 400 when the config is invalid for the integration.
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/integrations/string" \ -H "Content-Type: application/json" \ -d '{}'{ "orgId": "string", "id": "string", "integrationId": "string", "config": { "property1": null, "property2": null }, "active": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}